apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-prometheus-metrics
  namespace: postfix
spec:
  description: 'Allow prometheus metrics '
  endpointSelector:
    matchLabels:
      app: smtp-relay
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: prometheus
      toPorts:
        - ports:
            - port: "9154"
              protocol: TCP
